Name:          libkate
Version:       0.4.1.20201212git
Release:       1mamba
Summary:       Libraries to handle the Kate bitstream format
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://code.google.com/p/libkate/
Source:        https://gitlab.com/lubosz/kate.git/master/kate-%{version}.tar.bz2
#Source:        http://libkate.googlecode.com/files/libkate-%{version}.tar.gz
License:       BSD
BuildRequires: bison
BuildRequires: doxygen
BuildRequires: flex
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: liboggz-devel
BuildRequires: libpython-devel
BuildRequires: valgrind
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This is libkate, the reference implementation of a codec for the Kate bitstream format.
Kate is a karaoke and text codec meant for encapsulation in an Ogg container.
It can carry text, images, and animate them.
Kate is meant to be used for karaoke alongside audio/video streams (typically Vorbis and Theora), movie subtitles, song lyrics, and anything that needs text data at arbitrary time intervals.
More information can be found at http://wiki.xiph.org/index.php/OggKate

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This is libkate, the reference implementation of a codec for the Kate bitstream format.
Kate is a karaoke and text codec meant for encapsulation in an Ogg container.
It can carry text, images, and animate them.
Kate is meant to be used for karaoke alongside audio/video streams (typically Vorbis and Theora), movie subtitles, song lyrics, and anything that needs text data at arbitrary time intervals.
More information can be found at http://wiki.xiph.org/index.php/OggKate
This package contains libraries and header files need for development.

%package       static
Group:         Development/Libraries
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
This is libkate, the reference implementation of a codec for the Kate bitstream format.
Kate is a karaoke and text codec meant for encapsulation in an Ogg container.
It can carry text, images, and animate them.
Kate is meant to be used for karaoke alongside audio/video streams (typically Vorbis and Theora), movie subtitles, song lyrics, and anything that needs text data at arbitrary time intervals.
More information can be found at http://wiki.xiph.org/index.php/OggKate
This package contains static DAAP library need for development.

%package utils
Summary:        Encoder/Decoder utilities for %{name}
Group:          Applications/Multimedia
Requires:       %{name} = %{version}-%{release}

%description utils
This is libkate, the reference implementation of a codec for the Kate bitstream format.
Kate is a karaoke and text codec meant for encapsulation in an Ogg container.
It can carry text, images, and animate them.
Kate is meant to be used for karaoke alongside audio/video streams (typically Vorbis and Theora), movie subtitles, song lyrics, and anything that needs text data at arbitrary time intervals.
More information can be found at http://wiki.xiph.org/index.php/OggKate
The %{name}-utils package contains the katedec/kateenc binaries for %{name}.

%package -n python-kdj
Group:         System/Libraries/Python
Summary:       Python library for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-kdj
This is libkate, the reference implementation of a codec for the Kate bitstream format.
Kate is a karaoke and text codec meant for encapsulation in an Ogg container.
It can carry text, images, and animate them.
Kate is meant to be used for karaoke alongside audio/video streams (typically Vorbis and Theora), movie subtitles, song lyrics, and anything that needs text data at arbitrary time intervals.
More information can be found at http://wiki.xiph.org/index.php/OggKate
This package contains the python kdj library.

%package        doc
Summary:        %{name} documentation
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
This is libkate, the reference implementation of a codec for the Kate bitstream format.
Kate is a karaoke and text codec meant for encapsulation in an Ogg container.
It can carry text, images, and animate them.
Kate is meant to be used for karaoke alongside audio/video streams (typically Vorbis and Theora), movie subtitles, song lyrics, and anything that needs text data at arbitrary time intervals.
More information can be found at http://wiki.xiph.org/index.php/OggKate
The %{name}-doc package contains documentation for %{name}.

%debug_package

%prep
%setup -q -n kate-%{version}
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libkate.so.*
%{_libdir}/liboggkate.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/kate
%{_includedir}/kate/*.h
%{_libdir}/libkate.so
%{_libdir}/liboggkate.so
%{_libdir}/pkgconfig/*.pc

%files static
%defattr(-,root,root)
%{_libdir}/lib*.a
%{_libdir}/lib*.la

%files utils
%defattr(-,root,root)
%{_bindir}/katedec
%{_bindir}/kateenc
%{_bindir}/KateDJ
%{_bindir}/katalyzer
%{_mandir}/man1/kate*.1*
%{_mandir}/man1/KateDJ.1*
%{_mandir}/man1/katalyzer.1*

%files -n python-kdj
%defattr(-,root,root)
%dir %{python_sitelib}/kdj
%{python_sitelib}/kdj/*

%files doc
%defattr(-,root,root)
%dir %{_docdir}/libkate
%{_docdir}/libkate/*
%doc ChangeLog README THANKS

%changelog
* Sat Dec 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.1.20201212git-1mamba
- update to 0.4.1.20201212git

* Thu Jul 05 2012 Automatic Build System <autodist@mambasoft.it> 0.4.1-1mamba
- automatic version update by autodist

* Mon Dec 27 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.8-2mamba
- automatic port from devel-gil

* Mon Dec 20 2010 gil <puntogil@libero.it> 0.3.8-1mamba
- update to 0.3.8
- add liboggz support

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- automatic update by autodist

* Sun Dec 21 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.8-1mamba
- automatic update by autodist

* Sun Sep 28 2008 gil <puntogil@libero.it> 0.2.0-1mamba
- package created by autospec
